View Issue Details

IDProjectCategoryView StatusLast Update
0000739SymmetricDSBugpublic2014-02-02 20:52
ReporterelongAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.10 
Target Version3.1.0Fixed in Version3.1.0 
Summary0000739: Multiple wildcard expressions, only one used
DescriptionThe manual says you can use commas between multiple wildcard expressions in the Source Table. Only the first expression is used.
Steps To ReproduceCreate tables CUSTOMER_ADDRESS, CUSTOMER_PHONE, and EMPLOYEE_ADDRESS. Expression of "*ADDRESS,*PHONE" picks up tables CUSTOMER_ADDRESS and EMPLOYEE_ADDRESS. Expression of "*PHONE,*ADDRESS" picks up CUSTOMER_PHONE.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 151987a2

2012-07-29 15:26:57

chenson

Details Diff
0000739: Multiple wildcard expressions, only one used
0000739
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Trigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TriggerHistory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/FormatUtils.java Diff File

SymmetricDS: master 9d65fe65

2012-07-29 16:44:40

chenson

Details Diff
0000739: Multiple wildcard expressions, only one used
0000739
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File

Issue History

Date Modified Username Field Change
2012-07-29 10:40 elong New Issue
2012-07-29 15:26 chenson Assigned To => chenson
2012-07-29 15:26 chenson Status new => assigned
2012-07-29 15:26 chenson Fixed in Version => 3.1.0
2012-07-29 15:26 chenson Target Version => 3.1.0
2012-07-29 15:26 chenson Status assigned => resolved
2012-07-29 15:26 chenson Resolution open => fixed
2012-08-14 07:58 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6106
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6107
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9d65fe65
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 151987a2